LibreOffice: LocaleDataItem Struct Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Attributes | List of all members
LocaleDataItem Struct Referencepublished

Locale specific data, for example, separators, quotation marks. More...

`import"LocaleDataItem.idl";`

Inheritance diagram for LocaleDataItem:

## Public Attributes
string | unoID
| internal ID string, not unique, not meaningful to the outer world More...
string | dateSeparator
| date separator, for example, "/" or "." or "-" More...
string | thousandSeparator
| group and thousand separator, for example, "," or "." More...
string | decimalSeparator
| decimal separator, for example, "." or "," More...
string | timeSeparator
| time separator, for example, ":" More...
string | time100SecSeparator
| time 100th seconds separator, for example, "," More...
string | listSeparator
| list separator, for example, ";" More...
string | quotationStart
| single quotation mark start More...
string | quotationEnd
| single quotation mark end More...
string | doubleQuotationStart
| double quotation mark start More...
string | doubleQuotationEnd
| double quotation mark end More...
string | timeAM
| time AM symbol, for example, "AM" or "am" More...
string | timePM
| time PM symbol, for example, "PM" or "pm" More...
string | measurementSystem
| measurement system, "metric" or "us" More...
string | LongDateDayOfWeekSeparator
| long date day of week separator, for example, ", " More...
string | LongDateDaySeparator
| long date day separator, for example, ", " More...
string | LongDateMonthSeparator
| long date month separator, for example, " " More...
string | LongDateYearSeparator
| long date year separator, for example, " " More...

## Detailed Description

Locale specific data, for example, separators, quotation marks.

See also
  XLocaleData for links to DTD of XML locale data files.

## Member Data Documentation

## ◆ dateSeparator

string dateSeparator

date separator, for example, "/" or "." or "-"

## ◆ decimalSeparator

string decimalSeparator

decimal separator, for example, "." or ","

## ◆ doubleQuotationEnd

string doubleQuotationEnd

double quotation mark end

## ◆ doubleQuotationStart

string doubleQuotationStart

double quotation mark start

## ◆ listSeparator

string listSeparator

list separator, for example, ";"

## ◆ LongDateDayOfWeekSeparator

string LongDateDayOfWeekSeparator

long date day of week separator, for example, ", "

## ◆ LongDateDaySeparator

string LongDateDaySeparator

long date day separator, for example, ", "

## ◆ LongDateMonthSeparator

string LongDateMonthSeparator

long date month separator, for example, " "

## ◆ LongDateYearSeparator

string LongDateYearSeparator

long date year separator, for example, " "

## ◆ measurementSystem

string measurementSystem

measurement system, "metric" or "us"

## ◆ quotationEnd

string quotationEnd

single quotation mark end

## ◆ quotationStart

string quotationStart

single quotation mark start

## ◆ thousandSeparator

string thousandSeparator

group and thousand separator, for example, "," or "."

## ◆ time100SecSeparator

string time100SecSeparator

time 100th seconds separator, for example, ","

## ◆ timeAM

string timeAM

time AM symbol, for example, "AM" or "am"

## ◆ timePM

string timePM

time PM symbol, for example, "PM" or "pm"

## ◆ timeSeparator

string timeSeparator

time separator, for example, ":"

## ◆ unoID

string unoID

internal ID string, not unique, not meaningful to the outer world

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/LocaleDataItem.idl